define([
	"dojo/_base/declare",
	"dojo/when",

	"aps/_View"
], function(
	declare,
	when,

	_View
) {
	var vpsData = {
		vps: {}
	};

	return declare(_View, {
		init: function() {
			return ["aps/Panel", {id: this.genId("vps-aw-panel"), title: "VPS Server"}, [
				["aps/FieldSet", {id: this.genId("vps-aw-fieldset"), gridSize: "md-12 xs-12"}, [
					["aps/Output", {
						id: this.genId("user-aw-name"),
						label: 'User Name'
					}],
					["aps/TextBox", {
						id: this.genId("vps-aw-textbox"),
						autoSize: false,
						label: 'VPS Server Name',
						required: true
					}]
				]]
			]];
		}, // End of Init function

		_drawPanel: function (vps) {
			vpsData.vps = vps;
			this.byId("user-aw-name").set("value", aps.context.user.displayName);
			this.byId("vps-aw-textbox").set("value", vps.name);
		},

		onContext: function(context) {

			var vps = context.vars.endusers.find(function(vps) {
			    return vps.user.userId === aps.context.user.userId;
			});
			if (vps) {
				this._drawPanel(vps);
			}
			aps.apsc.hideLoading();

		}, // End of onContext

		onNext: function() {
			vpsData.vps.name = this.byId("vps-aw-textbox").value;
			var savedXhr = {
				url: '/aps/2/resources/' + vpsData.vps.aps.id + '/activate',
				method: 'PUT',
				headers: {
					"Content-Type": 'application/json'
				},
				data: JSON.stringify(vpsData.vps)
			};
			aps.apsc.next({
				objects: [{
					xhr: savedXhr
				}]
			});
		} // End of onNext

	}); // End of Declare
}); // End of Define