define([
    "dojo/_base/declare",
    "aps/_View"
], function (declare, _View) {

    return declare(_View, {
        init: function () {
            return [
                ["aps/Output", {id: this.genId("custom-screen"), content: _('Custom configuration screen')}],
                ["aps/Container", {
                    id: this.genId("custom-group"),
                    title: _('This view is intended only for testing purposes')
                }, [
                    ["aps/Panel", {
                        id: this.genId("custom-panel")
                    }, [
                        ["aps/FieldSet", {
                            id: this.genId("custom-container")
                        }, [
                            ["aps/Select", {
                                id: this.genId('LANGUAGE'),
									gridSize: 'xs-12 md-6',
									label: _('Interface Language'),
									required: true,
                                options:[{
                                    label: _('English'),
                                    value: 'en',
                                    selected: true
                                },
                                {
                                    label: _('Spanish'),
                                    value: 'es'
                                }]
                            }]
                        ]]
                    ]]
                ]]
            ];
        },
        onContext: function () {
			aps.apsc.hideLoading();
        },
        onPrev: function () {
            aps.apsc.prev();
        },
        onNext: function () {
            aps.apsc.next();
        }
    });
});

