define([
	"dojo/_base/declare",
	"dojo/when",
	"dojox/mvc/getStateful",
	"dojox/mvc/at",

    "dojo/text!./../newvps.json",

	"aps/_View"
], function(
	declare,
	when,
    getStateful,
	at,

    newVPS,

	_View
) {
	return declare(_View, {
		init: function() {

            /* Declare data sources */
            this.model = getStateful({"newVPS": JSON.parse(newVPS)});

			return [
				["aps/Panel", {id: this.genId("srvNewLast-form1"), title: _("Server")}, [
					["aps/FieldSet", {id: this.genId("srvNew_general")}, [
						["aps/Output", {
							id: this.genId("srvNew_serverName"),
							label: "Server Name",
							value: at(this.model.newVPS, "name")
						}],
						["aps/Output", {
							id: this.genId("srvNew_description"),
							label: "Description",
							value: at(this.model.newVPS, "description")
						}],
						["aps/Output", {
							id: this.genId("srvNew_owner"),
							label: "Server Owner",
							value: at(this.model.newVPS, "userName")
						}]
					]]
				]],
				["aps/Panel", {id: this.genId("srvNewLast-form2"), title: _("Configuration")}, [
					["aps/FieldSet", {id: this.genId("srvNew_props")}, [
						["aps/Output", {
							id: this.genId("srvNew_os"),
							label: "OS",
							value: at(this.model.newVPS.platform.OS, "name")
						}],
						["aps/Output", {
							id: this.genId("srvNew_cpu"),
							label: "CPU",
							value: at(this.model.newVPS.hardware.CPU, "number")
						}],
						["aps/Output", {
							id: this.genId("srvNew_disk"),
							label: "Disk Space",
							value: at(this.model.newVPS.hardware, "diskspace")
						}],
						["aps/Output", {
							id: this.genId("srvNew_ram"),
							label: "RAM",
							value: at(this.model.newVPS.hardware, "memory")
						}]
					]]
				]]
			];
		}, //  End of Init

        onContext: function() {
            this.model.set("newVPS", aps.context.wizardData["http://aps-standard.org/samples/sample-offering#vps-props"]); // Receive data from the previous step
            aps.apsc.hideLoading();
        },

		/* Once the widgets are created, create handlers for the navigation buttons */
		onNext: function() {
            aps.apsc.next(this.model.newVPS);
		}, // End of onNext

        onCancel: function () {
            aps.apsc.gotoView("servers");
        }

	}); // End of Declare
}); // End of Define
